---
title: Window.find()
slug: Web/API/Window/find
tags:
  - API
  - HTML DOM
  - Method
  - NeedsCompatTable
  - NeedsContent
  - Non-standard
  - Reference
  - Window
  - find
---
<div>{{ApiRef}}{{Non-standard_Header}}</div>

<div class="notecard note">
<p><strong>Note:</strong> Support for <code>Window.find()</code> might change in future versions of Gecko. See {{Bug("672395")}}.</p>
</div>

<p>The <code><strong>Window.find()</strong></code> method finds a string in a window.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>window</em>.find(<em>aString</em>, <em>aCaseSensitive</em>, <em>aBackwards</em>, <em>aWrapAround</em>,
            <em>aWholeWord</em>, <em>aSearchInFrames</em>, <em>aShowDialog</em>);</pre>

<dl>
 <dt><code>aString</code></dt>
 <dd>The text string for which to search.</dd>
 <dt><code>aCaseSensitive</code></dt>
 <dd>{{jsxref("Boolean")}}. If <code>true</code>, specifies a case-sensitive search.</dd>
 <dt><code>aBackwards</code></dt>
 <dd>{{jsxref("Boolean")}}. If <code>true</code>, specifies a backward search.</dd>
 <dt><code>aWrapAround</code></dt>
 <dd>{{jsxref("Boolean")}}. If <code>true</code>, specifies a wrap around search.</dd>
 <dt><code>aWholeWord</code> {{Unimplemented_Inline}}</dt>
 <dd>{{jsxref("Boolean")}}. If <code>true</code>, specifies a whole word search. This is not implemented; see {{bug(481513)}}.</dd>
 <dt><code>aSearchInFrames</code></dt>
 <dd>{{jsxref("Boolean")}}. If <code>true</code>, specifies a search in frames.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p><code>true</code> if the string is found; otherwise, <code>false</code>.</p>

<h2 id="Example">Example</h2>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">findString = function findText(text) {
  alert("String \x22" + text + "\x22 found? " + window.find(text));
}</pre>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;Apples, Bananas, and Oranges.&lt;/p&gt;
&lt;button type="button" onClick='findString("Apples")'&gt;Search for Apples&lt;/button&gt;
&lt;button type="button" onClick='findString("Banana")'&gt;Search for Banana&lt;/button&gt;
&lt;button type="button" onClick='findString("Orange")'&gt;Search for Orange&lt;/button&gt;
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Notes">Notes</h2>

<p>In some browsers, <code>Window.find()</code> selects (highlights) the found content on the site.</p>

<h2 id="Specifications">Specifications</h2>

<p>This is not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.find")}}</p>
